IMG_CreateAnimatedCursor(3)

NAME
IMG_CreateAnimatedCursor - Create an animated cursor from an animation.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

SDL_Cursor * IMG_CreateAnimatedCursor(IMG_Animation *anim, int hot_x, int hot_y);

FUNCTION PARAMETERS

anim
    an animation to use to create an animated cursor.

hot_x
    the x position of the cursor hot spot.

hot_y
    the y position of the cursor hot spot.

RETURN VALUE
Returns the new cursor on success or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_LoadAnimation(3), IMG_LoadAnimation_IO(3), IMG_LoadAnimationTyped_IO(3)